%define anolis_release 1

%global _hardened_build 1

Name:		timedatex
Version:	0.6
Release:	%{anolis_release}%{?dist}
Summary:	D-Bus service for system clock and RTC settings

License:	GPLv2+
URL:		https://github.com/mlichvar/timedatex
Source0:        https://github.com/mlichvar/timedatex/archive/refs/tags/v%{version}.tar.gz

BuildRequires:	glib2-devel libselinux-devel gcc systemd
Requires:	polkit systemd util-linux

%description
timedatex is a D-Bus service that implements the org.freedesktop.timedate1
interface. It can be used to read and set the system clock, the real-time clock
(RTC), the system timezone, get a list of valid timezones, and enable or
disable an NTP client installed on the system. It is a replacement for the
systemd-timedated service.

%prep
%setup -q %{name}-%{version} 

%build
make %{?_smp_mflags} \
	CFLAGS="$RPM_OPT_FLAGS" \
	EXTRA_LDFLAGS="%{__global_ldflags}"

%install
%makeinstall unitdir=%{?buildroot:%{buildroot}}%{_unitdir}

# mask systemd-timedated service (#1244023)
mkdir -p %{buildroot}%{_sysconfdir}/systemd/system
ln -s /dev/null %{buildroot}%{_sysconfdir}/systemd/system/systemd-timedated.service

%post
%systemd_post %{name}.service

%preun
%systemd_preun %{name}.service

%postun
%systemd_postun_with_restart %{name}.service

%files
%doc COPYING NEWS README
%{_sysconfdir}/systemd/system/systemd-timedated.service
%{_sbindir}/%{name}
%{_mandir}/man8/%{name}.8*
%{_unitdir}/%{name}.service
%dir %{_prefix}/lib/systemd/ntp-units.d

%changelog
* Fri Mar 11 2022 Renbo <rb01097748@alibaba-inc.com> - 0.6-1 
- Init for Anolis OS 23
